Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v5
Class FindVtmRequest

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.RequestType
          be.fgov.ehealth.dics.protocol.v5.DicsRequestType
              be.fgov.ehealth.dics.protocol.v5.FindVtmRequest

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2020-09-28T09:51:51+02:00",
               comments="JAXB RI v2.2.11")
    public class FindVtmRequest

extends DicsRequestType
implements Serializable

Java class for FindVtmRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindVtmRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v5}DicsRequestType">
           <choice>
             <element name="FindByTherapeuticMoiety" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByTherapeuticMoietyType"/>
             <element name="FindByProduct" type="{urn:be:fgov:ehealth:dics:protocol:v5}FindByVirtualProductType"/>
           </choice>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindVtmRequest()`

Method Summary
`FindByVirtualProductType` | `getFindByProduct()` Gets the value of the findByProduct property.
`FindByTherapeuticMoietyType` | `getFindByTherapeuticMoiety()` Gets the value of the findByTherapeuticMoiety property.
`void` | `setFindByProduct(FindByVirtualProductType value)` Sets the value of the findByProduct property.
`void` | `setFindByTherapeuticMoiety(FindByTherapeuticMoietyType value)` Sets the value of the findByTherapeuticMoiety property.

Methods inherited from class be.fgov.ehealth.dics.protocol.v5.DicsRequestType
`getSearchDate, setSearchDate`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.RequestType
`getId, getIssueInstant, setId, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindVtmRequest

    public FindVtmRequest()

Method Detail

### getFindByProduct

    public FindByVirtualProductType getFindByProduct()

  Gets the value of the findByProduct property.

  Returns:
    possible object is `FindByVirtualProductType`

### setFindByProduct

    public void setFindByProduct(FindByVirtualProductType value)

  Sets the value of the findByProduct property.

  Parameters:
    `value` - allowed object is `FindByVirtualProductType`

### getFindByTherapeuticMoiety

    public FindByTherapeuticMoietyType getFindByTherapeuticMoiety()

  Gets the value of the findByTherapeuticMoiety property.

  Returns:
    possible object is `FindByTherapeuticMoietyType`

### setFindByTherapeuticMoiety

    public void setFindByTherapeuticMoiety(FindByTherapeuticMoietyType value)

  Sets the value of the findByTherapeuticMoiety property.

  Parameters:
    `value` - allowed object is `FindByTherapeuticMoietyType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.20.2 API
Copyright © {inceptionYear}-2020 eHealth. All Rights Reserved.